Create embed

Creates the specified embedding.

Request

POST

http://<хост_on-premises>/rpc/createEmbed

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "title": "example",
  "embeddingSecretId": "example",
  "entryId": "example",
  "depsIds": [
    "example"
  ],
  "unsignedParams": [
    "example"
  ],
  "privateParams": [
    "example"
  ],
  "publicParamsMode": true,
  "settings": {
    "enableExport": true
  }
}

Name

Description

depsIds

Type: string[]

Array of dependency entry IDs.

Example
[
  "example"
]

embeddingSecretId

Type: string

ID of the key for embedding used for authentication.

Example: example

entryId

Type: string

ID of the entry to be privately embedded.

Example: example

privateParams

Type: string[]

Array of signed parameters that are provided as part of the token.

Example
[
  "example"
]

publicParamsMode

Type: boolean

Whether default parameters mode is enabled.

settings

Type: EmbedSettings

Example
{
  "enableExport": true
}

title

Type: string

Name of the embedding.

Example: example

unsignedParams

Type: string[]

Array of unsigned parameters to be provided in the embedding link.

Example
[
  "example"
]

EmbedSettings

Name

Description

enableExport

Type: boolean

Whether data export is enabled for the embedding.

Example
{
  "enableExport": true
}

Responses

200 OK

Response

Body

application/json
{
  "embedId": "example",
  "title": "example",
  "embeddingSecretId": "example",
  "entryId": "example",
  "depsIds": [
    "example"
  ],
  "unsignedParams": [
    "example"
  ],
  "privateParams": [
    "example"
  ],
  "createdBy": "example",
  "createdAt": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "publicParamsMode": true,
  "settings": {
    "enableExport": true
  }
}

Name

Description

createdAt

Type: string

Timestamp when the embedding was created.

Example: example

createdBy

Type: string

ID of the user who created the embedding.

Example: example

depsIds

Type: string[]

Array of dependency entry IDs.

Example
[
  "example"
]

embeddingSecretId

Type: string

ID of the key for embedding used for authentication.

Example: example

embedId

Type: string

Unique identifier of the embedding.

Example: example

entryId

Type: string

ID of the entry being privately embedded.

Example: example

privateParams

Type: string[]

Array of signed parameters that are provided as part of the token.

Example
[
  "example"
]

publicParamsMode

Type: boolean

Whether default parameters mode is enabled.

settings

Type: EmbedSettings

Example
{
  "enableExport": true
}

title

Type: string

Name of the embedding.

Example: example

unsignedParams

Type: string[]

Array of unsigned parameters to be provided in the embedding link.

Example
[
  "example"
]

updatedAt

Type: string

Timestamp when the embedding was last updated.

Example: example

updatedBy

Type: string

ID of the user who was the last to update the embedding.

Example: example